This endpoint initiates the 'create and screen' workflow for your customer in synchronous mode. The workflow consists of five steps:
- Customer Record Creation: The Customer Record is created in Mesh.
- Risk Scoring: An initial Risk Score is calculated for the Customer.
- Customer Screening: The Customer is screened using settings based on the Calculated Risk Score.
- Alerts: Alerts associated with the screened customer are generated based on the risk analysis.
- Case Creation: Create cases based on the result of customer screening and alerts, for an analyst to review.
Each customer must have a unique customer external identifier specified as part of the request. This identifier is used to find the customer within Mesh and link back to your own internal systems.
The customer can be one of: PERSON, COMPANY, VESSEL or UNDEFINED and can optionally have multiple products.
Following risk scoring, the customer will be screened using ComplyAdvantage's AML database. You can specify the screening profile used for initial screening and subsequent ongoing monitoring within the configuration object. The value for screening_profile_identifier can be found in the settings section of the Mesh application.
The workflow executes synchronously up to customer screening, returning the workflow status. This end-point is currently idempotent: in case of downstream error you can re-send the exact same request, and the workflow will be retried.
Submitting a request for the same external identifier concurrently will result in the request being rejected with 409 Conflict. The body of the rejected request points to the first workflow (and customer, when known) so its result can be fetched instead. The same applies, whatever its state, when the external identifier already belongs to an asynchronous create-and-screen workflow.
To screen an entity:
- Exactly one of
full_nameorlast_namemust be provided (not both, not neither). - When using
last_name:title,first_name,middle_name,last_name,fathers_name,mothers_name, andsuffixare optional. - When using
full_name:title,first_name,middle_name,last_name,fathers_name,mothers_name, andsuffixmust all be omitted.
By default, the screen customer request is done synchronously only until the screening workflow step and returns hit/no hits in step_details.customer-screening.step_output.screening_result.
last_sync_step query parameter can be set to ALERTING to additionally wait for the alerting workflow step. The advantage of this option is that alert identifiers are included in the response in step_details.alerting.step_output.alerts[].identifier.
You need "Access to base customer screening functionality" enabled and the "Create and screen customers" permission to use this endpoint.